#!/bin/bash

wget -qO - https://gitlab.com/paulcarroty/vscodium-deb-rpm-repo/raw/master/pub.gpg \
    | gpg --dearmor \
    | sudo dd of=/etc/apt/trusted.gpg.d/vscodium-archive-keyring.gpg
echo 'deb [ signed-by=/etc/apt/trusted.gpg.d/vscodium-archive-keyring.gpg ] https://download.vscodium.com/debs vscodium main' \
    | sudo tee /etc/apt/sources.list.d/vscodium.list

sudo apt update
sudo apt install codium

mkdir -p ~/.config/VSCodium
cat > ~/.config/VSCodium/product.json <<EOF
{
  "extensionsGallery": {
    "serviceUrl": "https://marketplace.visualstudio.com/_apis/public/gallery",
    "itemUrl": "https://marketplace.visualstudio.com/items",
    "cacheUrl": "https://vscode.blob.core.windows.net/gallery/index",
    "controlUrl": ""
  }
}
EOF

echo \
	asciidoctor.asciidoctor-vscode \
	ms-vscode.cmake-tools \
	cheshirekow.cmake-format \
	ms-vscode.makefile-tools \
	ms-vscode.cpptools \
	davidbroetje.algorithm-mnemonics-vscode \
	ms-vscode.cpptools-themes \
	jeff-hykin.better-cpp-syntax \
	cschlosser.doxdocgen \
	zachflower.uncrustify \
	aaron-bond.better-comments \
	tonka3000.qtvsctools \
	visualstudioexptteam.vscodeintellicode \
	ms-python.python \
	streetsidesoftware.code-spell-checker \
	streetsidesoftware.code-spell-checker-russian \
	timonwong.shellcheck \
	foxundermoon.shell-format \
	fortran-lang.linter-gfortran \
	redhat.vscode-yaml \
	yzhang.markdown-all-in-one | xargs -n 1 codium --force --install-extension

